at.chipkarte.client.abs.soap

## Class LangzeitVerordnung

- Object
- - at.chipkarte.client.abs.soap.LangzeitVerordnung

-     public class LangzeitVerordnung
      extends Object

  Enthält die Rückantwortdaten zu einer beantragten Langzeitverordnung innerhalb einer `BewilligungsAnfrage`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LangzeitVerordnung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getBeantragteMonate()` Die beantragten Monate.
    `Integer` | `getBewilligteMonate()` Die bewilligten Monate.
    `Integer` | `getBewilligtePackungen()` Die bewilligte gesamte Packungsanzahl für die Langzeitverordnung.
    `void` | `setBeantragteMonate(Integer beantragteMonate)`
    `void` | `setBewilligteMonate(Integer bewilligteMonate)`
    `void` | `setBewilligtePackungen(Integer bewilligtePackungen)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LangzeitVerordnung

          public LangzeitVerordnung()

  - ### Method Detail

    - #### getBeantragteMonate

          public Integer getBeantragteMonate()

      Die beantragten Monate.
      Format: [1..99]
      Returns:
        Beantragte Monate; der Wert -1 bedeutet, dass das Feld in der Rückantwort nicht versorgt wurde.

    - #### getBewilligteMonate

          public Integer getBewilligteMonate()

      Die bewilligten Monate.
      Format: [0..99]
      Returns:
        Bewilligte Monate; der Wert -1 bedeutet, dass das Feld in der Rückantwort nicht versorgt wurde.

    - #### getBewilligtePackungen

          public Integer getBewilligtePackungen()

      Die bewilligte gesamte Packungsanzahl für die Langzeitverordnung.
      Format: [0..99]
      Returns:
        Bewilligte Packungen; der Wert -1 bedeutet, dass das Feld in der Rückantwort nicht versorgt wurde.

    - #### setBeantragteMonate

          public void setBeantragteMonate(Integer beantragteMonate)

    - #### setBewilligteMonate

          public void setBewilligteMonate(Integer bewilligteMonate)

    - #### setBewilligtePackungen

          public void setBewilligtePackungen(Integer bewilligtePackungen)